Bug Hunting Session
Bug 107482 - EDITING: The document will scroll to the beginning after cut, paste and undo of a frame
Summary: EDITING: The document will scroll to the beginning after cut, paste and undo ...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: low trivial
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Undo-Redo Writer-View-Jumps
  Show dependency treegraph
 
Reported: 2017-04-27 13:28 UTC by Telesto
Modified: 2019-10-12 02:46 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Example file (23.48 KB, application/vnd.oasis.opendocument.text)
2017-04-27 13:28 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2017-04-27 13:28:26 UTC
Description:
The document will scroll to the beginning after a cut (CTRL-X), a paste (CTRL+V) and a Undo (CTRL-Z) of a frame (source: https://bugs.documentfoundation.org/show_bug.cgi?id=41192#c3)

Steps to Reproduce:
1. Open attached file
2. Select the frame containing the table on page 2
3. Press CTRL-X, CTRL+V) and CTRL-Z

Actual Results:  
Caret moves to the first page first row

Expected Results:
Position of the caret shouldn't change


Reproducible: Always

User Profile Reset: No

Additional Info:
Version: 5.4.0.0.alpha0+
Build ID: a917902c48f21d04039da86048c5c36555137d7e
CPU threads: 4; OS: Windows 6.2; UI render: default; 
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2017-04-24_23:35:22
Locale: nl-NL (nl_NL); Calc: CL

and in
LibO 3.6.0 master 


User-Agent: Mozilla/5.0 (Windows NT 6.2; WOW64; rv:45.0) Gecko/20100101 Firefox/45.0
Comment 1 Telesto 2017-04-27 13:28:41 UTC
Created attachment 132903 [details]
Example file
Comment 2 Buovjaga 2017-04-30 12:21:55 UTC
Repro.

Arch Linux 64-bit
Version: 5.4.0.0.alpha1+
Build ID: aca48f46895811009ec90665d816ef835f0694be
CPU threads: 8; OS: Linux 4.10; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on 30th April 2017

3.3
Comment 3 QA Administrators 2018-05-01 02:32:17 UTC Comment hidden (obsolete)
Comment 4 Thomas Lendo 2018-10-11 22:20:15 UTC
Still reproducible.

Version: 6.2.0.0.alpha0+
Build ID: c8481c8a43ce2544275b2d70ef29a8b0cb157732
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: de-DE (de_DE.UTF-8); Calc: threaded
from 2 days ago
Comment 5 QA Administrators 2019-10-12 02:46:42 UTC
Dear Telesto,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug